Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionHeader.SelectedPosition

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionHeader.SelectedPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionHeader

    public static final class QStyleOptionHeader.SelectedPosition

extends java.lang.Enum
implements QtEnumerator

This enum describes the position of the selected tab. Some styles need to draw a tab differently depending on whether or not it is adjacent to the selected tab.

See also:
  selectedPosition.

See Also:
  Serialized Form

Field Summary
`static QStyleOptionHeader.SelectedPosition` | `NextAndPreviousAreSelected`
`static QStyleOptionHeader.SelectedPosition` | `NextIsSelected` The next tab (typically the tab on the right) is selected.
`static QStyleOptionHeader.SelectedPosition` | `NotAdjacent` The tab is not adjacent to a selected tab (or is the selected tab).
`static QStyleOptionHeader.SelectedPosition` | `PreviousIsSelected` The previous tab (typically the tab on the left) is selected.

Method Summary
`static QStyleOptionHeader.SelectedPosition` | `resolve(int value)` Returns the SelectedPosition constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionHeader.SelectedPosition` | `valueOf(java.lang.String name)`
`static QStyleOptionHeader.SelectedPosition[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NotAdjacent

    public static final QStyleOptionHeader.SelectedPosition NotAdjacent

  The tab is not adjacent to a selected tab (or is the selected tab).

### NextIsSelected

    public static final QStyleOptionHeader.SelectedPosition NextIsSelected

  The next tab (typically the tab on the right) is selected.

### PreviousIsSelected

    public static final QStyleOptionHeader.SelectedPosition PreviousIsSelected

  The previous tab (typically the tab on the left) is selected.

### NextAndPreviousAreSelected

    public static final QStyleOptionHeader.SelectedPosition NextAndPreviousAreSelected

Method Detail

### values

    public static QStyleOptionHeader.SelectedPosition[] values()

### valueOf

    public static QStyleOptionHeader.SelectedPosition valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionHeader.SelectedPosition resolve(int value)

  Returns the SelectedPosition constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD